<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>Platform Library User Guides</title><!-- For now, we use the doxygen style sheet -->


<link href="" rel="stylesheet" type="text/css">
<style type="text/css">
</style>
<style type="text/css">
</style></head>
<body>
<table width="100%">
<tbody>
<tr>
<td bgcolor="black" width="1"><a href="http://www.ti.com"><img src="html/tilogo.gif" border="0" height="54" width="222"></a></td>
<td bgcolor="red"><img src="html/titagline.gif" height="26" width="314"></td>
</tr>
</tbody>
</table>
<h1><a name="PLATFORM_TOP">Resource Manager User
Guide</a></h1>
This guide is divided into the following sections:
<br>
<ul>
<li><a href="#Software_Overview">Software&nbsp;Overview</a></li>
<li><a href="#Documentation_Links">Documentation</a></li>
</ul>
<hr>
<h2><a name="Software_Overview">Software Overview</a></h2>
<p>The resource manager provides a common API across all supported platforms for 
managing platform resources and providing common APIs for working with the PA, 
QMSS and CPPI subsystems. These APIs are either called from the respective Low 
Level Drivers or the the NIMU or Platform library and must be implemented by the 
application.</p>
<ul type="square">
<li><span style="color: black;">The Resource Manager definitions are&nbsp; present in </span>
<i> pdk_C####_#_#_#_#/packages/ti/platform/resource_mgr.h&nbsp;
</i>header file.<li>An example implementation for that is included in the MCSDK 
demo and example applications in the platform_osal.c and resourcemgr.c source 
files.
</ul>
<a href="#PLATFORM_TOP">back to top</a><br>
<hr>
<h2><a name="Documentation_Links">Documentation</a></h2>
<ul>
<li><a href="html/index.html"><span style="font-weight: 700">Resource Manager
</span><span style="font-weight: bold;">API and detailed documentation</span></a></li>
</ul>
<a href="platform_library_user_guide.html#PLATFORM_TOP">back
to top</a>
<hr>
</body></html>